NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder Class Reference

Represents a NXOpen::Features::SheetMetalFromSolid builder (Sheet Metal from Solid). More...

Inheritance diagram for NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder:
NXOpen::Features::SheetMetal::SheetmetalBaseBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::ScCollectorBendEdges ()
 Returns the bend edges
Created in NX6.0.0. More...
 
NXOpen::Features::SheetMetal::BendOptionsBendOptions ()
 Returns the bend options
Created in NX6.0.0. More...
 
std::vector< NXOpen::Edge * > GetAutomaticBendEdges ()
 Get the automatic bend edges. More...
 
std::vector< NXOpen::Edge * > GetCandidateBendEdges ()
 Get the candidate bend edges. More...
 
bool ReverseDirection ()
 Returns the reverse direction
Created in NX6.0.0. More...
 
void SetReverseDirection (bool reverseDirection)
 Sets the reverse direction
Created in NX6.0.0. More...
 
void SetUseGlobalThickness (bool useGlobalThickness)
 Sets the use global thickness
Created in NX6.0.0. More...
 
NXOpen::ExpressionThickness ()
 Returns the thickness
Created in NX6.0.0. More...
 
bool UseGlobalThickness ()
 Returns the use global thickness
Created in NX6.0.0. More...
 
NXOpen::ScCollectorWebFaces ()
 Returns the web faces
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::SheetMetal::SheetmetalBaseBuilder
NXOpen::Features::SheetMetal::ApplicationContext GetApplicationContext ()
 Get the application context. More...
 
void SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::SheetMetalFromSolid builder (Sheet Metal from Solid).


To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateSheetMetalFromSolidBuilder
Default values.

Property Value

Thickness.Value

3.0 (millimeters part), 0.1 (inches part)

UseGlobalThickness

1


Created in NX6.0.0.

Member Function Documentation

NXOpen::ScCollector* NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::BendEdges ( )

Returns the bend edges
Created in NX6.0.0.



License requirements : None

NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::BendOptions ( )

Returns the bend options
Created in NX6.0.0.



License requirements : None

std::vector<NXOpen::Edge *> NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::GetAutomaticBendEdges ( )

Get the automatic bend edges.

Returns

Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
std::vector<NXOpen::Edge *> NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::GetCandidateBendEdges ( )

Get the candidate bend edges.

Returns

Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
bool NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::ReverseDirection ( )

Returns the reverse direction
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::SetReverseDirection ( bool  reverseDirection)

Sets the reverse direction
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
reverseDirectionreversedirection
void NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::SetUseGlobalThickness ( bool  useGlobalThickness)

Sets the use global thickness
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
useGlobalThicknessuseglobalthickness
NXOpen::Expression* NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::Thickness ( )

Returns the thickness
Created in NX6.0.0.



License requirements : None

bool NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::UseGlobalThickness ( )

Returns the use global thickness
Created in NX6.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::SheetMetal::SheetMetalFromSolidBuilder::WebFaces ( )

Returns the web faces
Created in NX6.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.